if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
( cd usr/bin ; rm -rf spotify )
( cd usr/bin ; ln -sf ../share/spotify/spotify spotify )
( cd usr/local/lib64 ; rm -rf libavcodec.so.54 )
( cd usr/local/lib64 ; ln -sf libavcodec.so.54.71.100 libavcodec.so.54 )
( cd usr/local/lib64 ; rm -rf libavformat.so.54 )
( cd usr/local/lib64 ; ln -sf libavformat.so.54.36.100 libavformat.so.54 )
( cd usr/local/lib64 ; rm -rf libavutil.so.52 )
( cd usr/local/lib64 ; ln -sf libavutil.so.52.6.100 libavutil.so.52 )
( cd usr/local/lib64 ; rm -rf libcurl-gnutls.so.4 )
( cd usr/local/lib64 ; ln -sf libcurl.so.4.6.0 libcurl-gnutls.so.4 )
( cd usr/local/lib64 ; rm -rf libcurl.so.4 )
( cd usr/local/lib64 ; ln -sf libcurl.so.4.6.0 libcurl.so.4 )
